## MMSignal

MMSignal — Helper object to handle extended Signal information.

## Functions

gdouble | mm_signal_get_rssi ()
gdouble | mm_signal_get_rscp ()
gdouble | mm_signal_get_ecio ()
gdouble | mm_signal_get_sinr ()
gdouble | mm_signal_get_io ()
gdouble | mm_signal_get_rsrp ()
gdouble | mm_signal_get_rsrq ()
gdouble | mm_signal_get_snr ()
gdouble | mm_signal_get_error_rate ()

## Types and Values

struct | MMSignal
#define | MM_SIGNAL_UNKNOWN

## Object Hierarchy

        GObject
        ╰── MMSignal

## Description

The MMSignal is an object handling the signal information of the modem.

## Functions

### mm_signal_get_rssi ()

    gdouble
    mm_signal_get_rssi (MMSignal *self);

Gets the RSSI (Received Signal Strength Indication), in dBm.

#### Parameters

self | a MMSignal. |

#### Returns

the RSSI, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_rscp ()

    gdouble
    mm_signal_get_rscp (MMSignal *self);

Gets the RSCP (Received Signal Code Power), in dBm.

#### Parameters

self | a MMSignal. |

#### Returns

the RSCP, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_ecio ()

    gdouble
    mm_signal_get_ecio (MMSignal *self);

Gets the Ec/Io, in dB.

Only applicable to CDMA1x, CDMA EV-DO and UMTS (WCDMA).

#### Parameters

self | a MMSignal. |

#### Returns

the ECIO, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_sinr ()

    gdouble
    mm_signal_get_sinr (MMSignal *self);

Gets the SINR level, in dB.

Only applicable to CDMA EV-DO.

#### Parameters

self | a MMSignal. |

#### Returns

the SINR, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_io ()

    gdouble
    mm_signal_get_io (MMSignal *self);

Gets the Io, in dBm.

Only applicable to CDMA EV-DO.

#### Parameters

self | a MMSignal. |

#### Returns

the Io, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_rsrp ()

    gdouble
    mm_signal_get_rsrp (MMSignal *self);

Gets the RSRP (Reference Signal Received Power), in dBm.

Only applicable to LTE.

#### Parameters

self | a MMSignal. |

#### Returns

the RSRP, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_rsrq ()

    gdouble
    mm_signal_get_rsrq (MMSignal *self);

Gets the RSRQ (Reference Signal Received Quality), in dB.

Only applicable to LTE.

#### Parameters

self | a MMSignal. |

#### Returns

the RSRQ, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_snr ()

    gdouble
    mm_signal_get_snr (MMSignal *self);

Gets the S/R ration, in dB.

Only applicable to LTE.

#### Parameters

self | a MMSignal. |

#### Returns

the S/R ratio, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.2

### mm_signal_get_error_rate ()

    gdouble
    mm_signal_get_error_rate (MMSignal *self);

Gets the channel error rate (BER, BLER,... depends on the RAT), in percentage.

Applicable to all RAT.

#### Parameters

self | a MMSignal. |

#### Returns

the error rate, or `MM_SIGNAL_UNKNOWN` if unknown.

Since: 1.20

## Types and Values

### struct MMSignal

    struct MMSignal;

The MMSignal structure contains private data and should only be accessed using the provided API.

### MM_SIGNAL_UNKNOWN

    #define MM_SIGNAL_UNKNOWN -G_MAXDOUBLE

Identifier for an unknown signal or error rate value.

Since: 1.2